List integration metadata keys
Lists metadata keys registered by integrations, optionally filtered by integration ID.
Authorization
OAuth2 upl:privateAuthorizationBearer <token>
OAuth 2.0 authorization
In: header
Scope: upl:private
Header Parameters
Connect-Protocol-Version*number
Define the version of the Connect protocol
Value in
1Connect-Timeout-Ms?number
Define the timeout, in ms
Request Body
application/json
integrationId?string|null
Filter by integration. Accepts a UUID (admin UI) or a slug (URN prefix — CLI publishers). Server detects which by UUID-parse.
Length
1 <= length[key: string]?never
Response Body
application/json
application/json
curl -X POST "https://uploads-api.xeonr.io/uplim.api.v1.IntegrationAdminService/ListIntegrationMetadataKeys" \ -H "Connect-Protocol-Version: 1" \ -H "Content-Type: application/json" \ -d '{}'{
"metadataKeys": [
{
"id": "string",
"integrationId": "string",
"key": "string",
"title": "string",
"iconName": "string",
"valueType": "METADATA_VALUE_TYPE_UNSPECIFIED",
"hiddenFromUsers": true,
"createdAt": "2023-01-15T01:30:15.01Z",
"updatedAt": "2023-01-15T01:30:15.01Z"
}
]
}{
"code": "not_found",
"message": "string",
"details": [
{
"type": "string",
"value": "string",
"debug": {}
}
]
}